Subject: Artist mode, bug

From: Wail Yahia <[email-masked]>
Date: Fri, 22 Jan 2021 13:44:09 +0000

Hello Tomas,

I have a nice bug report on Artist for you! Here it is:

When changing the zoom level, the mouse position is misaligned with the
cursor positon. I do zoom out (shrink-window-if-larger-than-buffer) to get more space for drawing, then I
encounter this issue.

Many thanks for this great package.

Regards, Wail

Emacs  : GNU Emacs 27.1 (build 1, x86_64-apple-darwin18.7.0, NS appkit-1671.60 Version 10.14.6 (Build 18G95))
of 2020-08-12
Package: artist.el 1.2.6

current state:
==============
(setq
window-system 'ns
window-system-version "2022.2"
artist-rubber-banding t
artist-interface-with-rect t
artist-aspect-ratio 1
artist-curr-go 'rect
artist-key-draw-how 2
)